%global tl_version 2012

%{!?_texdir: %global _texdir %{_datadir}/texlive}

Name: texlive-anyfontsize
Version: 20071122
Release: 1%{dist}
Summary: TeX anyfontsize.sty
BuildArch: noarch
Requires: texlive-base
Provides: tex(anyfontsize.sty) = %{tl_version}

Group: Applications/Publishing
URL: http://tug.org/texlive/
License: LPPL

Source0: http://mirrors.ctan.org/macros/latex/contrib/anyfontsize.zip
Source1: lppl1.txt

%description
anyfontsize.sty is a LaTeX2e package that lets the user select any font size
(via e.g. \fontsize{...}{...}\selectfont), even those sizes that are not listed
in the .fd file. If such a size is requested, LaTeX will search the nearest
listed size, and anyfontsize will scale that font to the requested size. For a
similar functionality that works only for the CM fonts, try the type1cm.sty
package, or, even better, use the new Latin Modern (LM) fonts, which are
available at any size.

%post
mkdir -p /var/run/texlive
touch /var/run/texlive/run-texhash
touch /var/run/texlive/run-mtxrun
:

%postun
if [ $1 == 1 ]; then
  mkdir -p /var/run/texlive
  touch /var/run/texlive/run-texhash
else
  %{_bindir}/texhash 2> /dev/null
fi
:

%posttrans
if [ -e /var/run/texlive/run-texhash ] && [ -e %{_bindir}/texhash ]; then %{_bindir}/texhash 2> /dev/null; rm -f /var/run/texlive/run-texhash; fi
if [ -e /var/run/texlive/run-mtxrun ]; then export TEXMF=/usr/share/texlive/texmf-dist; export TEXMFCNF=/usr/share/texlive/texmf/web2c; export TEXMFCACHE=/var/lib/texmf; %{_bindir}/mtxrun --generate &> /dev/null; rm -f /var/run/texlive/run-mtxrun; fi
:

%prep
%setup -q -n anyfontsize
cp %{SOURCE1} .

%build

%install
rm -rf %{buildroot}

# create directory tree
mkdir -p %{buildroot}%{_texdir}/texmf-dist/tex/latex/anyfontsize
%{__install} -m 0644 anyfontsize.{sty,tex} \
    %{buildroot}%{_texdir}/texmf-dist/tex/latex/anyfontsize/

%files
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/anyfontsize

%changelog
* Wed Aug 19 2020 Konstantin Ryabitsev <konstantin@linuxfoundation.org>
- Initial build based on epel's texlive-extension package
